Mailgun
Use Mailgun APIs to send and track email, manage domains, mailing lists, suppressions, routes, webhooks, email validation, deliverability, and pre-send inspection.
Authentication
| Method | Kind | Status | Details |
|---|---|---|---|
| Basic Auth | basic | available | — |
Call a tool
import { createClient } from "@open-connector/sdk";const oc = createClient({ baseUrl: "https://api.openconnector.dev", apiKey: process.env.OPEN_CONNECTOR_API_KEY!,});const result = await oc.executeTool({ slug: "MAILGUN_API_INIT_V3_API_API_HELPERS_IS_FREE_OR_FISHY_FUNC1_12", connectedAccountId: "conn_...", arguments: { /* match this tool's input schema */ },});import Composio from "@composio/client";const composio = new Composio({ baseURL: "https://api.openconnector.dev/composio", apiKey: process.env.OPEN_CONNECTOR_API_KEY!,});const result = await composio.tools.execute("MAILGUN_API_INIT_V3_API_API_HELPERS_IS_FREE_OR_FISHY_FUNC1_12", { connected_account_id: "conn_...", arguments: { /* match this tool's input schema */ },});oc tools execute MAILGUN_API_INIT_V3_API_API_HELPERS_IS_FREE_OR_FISHY_FUNC1_12 --data '{ }'Tool catalog
Available tools
413 callable operations
Delete Job V3MAILGUN_API_INIT_V3_API_API_HELPERS_IS_FREE_OR_FISHY_FUNC1_12Cancels a selected job by list ID.Connection
Cancels a selected job by list ID.
Authentication
Connected account requiredTags
Get Job V3MAILGUN_API_INIT_V3_API_API_HELPERS_IS_FREE_OR_FISHY_FUNC2_13Gets a selected job by list ID.Connection
Gets a selected job by list ID.
Authentication
Connected account requiredTags
Create Job V3MAILGUN_API_INIT_V3_API_API_HELPERS_IS_FREE_OR_FISHY_FUNC3_14Starts a V3 list validation job.Connection
Starts a V3 list validation job.
Authentication
Connected account requiredTags
Delete Job V4MAILGUN_API_INIT_V4_API_API_HELPERS_IS_FREE_OR_FISHY_FUNC1_8Cancels a selected job by list ID.Connection
Cancels a selected job by list ID.
Authentication
Connected account requiredTags
Get Job V4MAILGUN_API_INIT_V4_API_API_HELPERS_IS_FREE_OR_FISHY_FUNC2_9Gets a selected job by list ID.Connection
Gets a selected job by list ID.
Authentication
Connected account requiredTags
List Bulk and Preview V4 JobsMAILGUN_API_INIT_V4_API_API_HELPERS_IS_FREE_OR_FISHY_FUNC3_10Returns all jobs.Connection
Returns all jobs.
Authentication
Connected account requiredTags
List Jobs V4MAILGUN_API_INIT_V4_API_API_HELPERS_IS_FREE_OR_FISHY_FUNC4_11Returns all jobs.Connection
Returns all jobs.
Authentication
Connected account requiredTags
Delete a memberMAILGUN_DELETE_LISTS_LIST_ADDRESS_MEMBERS_MEMBER_ADDRESSDeletes a member from a mailing listConnection
Deletes a member from a mailing list
Authentication
Connected account requiredTags
Remove AlertMAILGUN_DELETE_V1_ALERTS_SETTINGS_EVENTS_IDRemove AlertConnection
Remove Alert
Authentication
Connected account requiredTags
Delete Slack settingsMAILGUN_DELETE_V1_ALERTS_SETTINGS_SLACKDelete Slack settings and Slack event settings for the Mailgun account. To revoke the Slack access token, use DELETE /v1/alerts/slack/oauth. To completely remove the Slack App from Slack Workspace, go into App Configuration in Slack.Connection
Delete Slack settings and Slack event settings for the Mailgun account. To revoke the Slack access token, use DELETE /v1/alerts/slack/oauth. To completely remove the Slack App from Slack Workspace, go into App Configuration in Slack.
Authentication
Connected account requiredTags
Revoke Slack access tokenMAILGUN_DELETE_V1_ALERTS_SLACK_OAUTHRevoke Slack access token, delete Slack settings and Slack event settings. NOTE: All Mailgun accounts connected to the same Slack workspace share the same token. To completely remove the Slack App from Slack Workspace, go into App Configuration in Slack.Connection
Revoke Slack access token, delete Slack settings and Slack event settings. NOTE: All Mailgun accounts connected to the same Slack workspace share the same token. To completely remove the Slack App from Slack Workspace, go into App Configuration in Slack.
Authentication
Connected account requiredTags
Delete account tagMAILGUN_DELETE_V1_ANALYTICS_TAGSDeletes the tag for an accountConnection
Deletes the tag for an account
Authentication
Connected account requiredTags
Delete a domain keyMAILGUN_DELETE_V1_DKIM_KEYSDomain keys are not recoverable after deletion so use with careConnection
Domain keys are not recoverable after deletion so use with care
Authentication
Connected account requiredTags
Remove overrideMAILGUN_DELETE_V1_DYNAMIC_POOLS_DOMAINS_NAME_OVERRIDERemoves any dynamic IP pool override for a domain. The domain's pool assignment will be managed by health checks.Connection
Removes any dynamic IP pool override for a domain. The domain's pool assignment will be managed by health checks.
Authentication
Connected account requiredTags
Deletes a single domain from an accountMAILGUN_DELETE_V1_INBOXREADY_DOMAINSDeletes a single domain from an accountConnection
Deletes a single domain from an account
Authentication
Connected account requiredTags
Removes IP from monitoringMAILGUN_DELETE_V1_INBOXREADY_IP_ADDRESSES_IPRemoves IP from monitoringConnection
Removes IP from monitoring
Authentication
Connected account requiredTags
Delete Accessibility TestMAILGUN_DELETE_V1_INSPECT_ACCESSIBILITY_IDDelete a specific accessibility test by its unique test ID. This endpoint allows you to remove an accessibility test from the system. If the test ID does not exist, the appropriate error message is returned.Connection
Delete a specific accessibility test by its unique test ID. This endpoint allows you to remove an accessibility test from the system. If the test ID does not exist, the appropriate error message is returned.
Authentication
Connected account requiredTags
Delete Code Analysis TestMAILGUN_DELETE_V1_INSPECT_ANALYZE_TEST_IDDeletes all versions of a code analysis test by test ID.Connection
Deletes all versions of a code analysis test by test ID.
Authentication
Connected account requiredTags
Delete Image Validation TestMAILGUN_DELETE_V1_INSPECT_IMAGES_IDDelete a specific image validation test by its unique test ID. This endpoint allows you to remove an image validation test from the system. If the test ID does not exist, the appropriate error message is returned.Connection
Delete a specific image validation test by its unique test ID. This endpoint allows you to remove an image validation test from the system. If the test ID does not exist, the appropriate error message is returned.
Authentication
Connected account requiredTags
Delete Link Validation TestMAILGUN_DELETE_V1_INSPECT_LINKS_IDDelete a specific link validation test by its unique test ID. This endpoint allows you to remove a link validation test from the system. If the test ID does not exist, the appropriate error message is returned.Connection
Delete a specific link validation test by its unique test ID. This endpoint allows you to remove a link validation test from the system. If the test ID does not exist, the appropriate error message is returned.
Authentication
Connected account requiredTags
Delete Spam Test (V1)MAILGUN_DELETE_V1_INSPECT_SPAM_SPAM_TEST_IDPermanently deletes the spam test and its results.Connection
Permanently deletes the spam test and its results.
Authentication
Connected account requiredTags
Delete Mailgun API keyMAILGUN_DELETE_V1_KEYS_KEY_IDDelete Mailgun API keyConnection
Delete Mailgun API key
Authentication
Connected account requiredTags
Delete PreviewShareMAILGUN_DELETE_V1_PREVIEW_SHARING_TEST_IDDelete PreviewShare record by TID.Connection
Delete PreviewShare record by TID.
Authentication
Connected account requiredTags
Delete Emailpreview TestMAILGUN_DELETE_V1_PREVIEW_TESTS_TEST_IDDeletes the specified test.<br><br>**WARNING:** _This endpoint is deprecated in favor of our [V2 endpoint](https://documentation.mailgun.com/docs/inspect/api-reference/openapi-final/tag/Email-Preview/#tag/Email-Preview/operation/DELETE-v2-preview-tests--test-id-)._Connection
Deletes the specified test.<br><br>**WARNING:** _This endpoint is deprecated in favor of our [V2 endpoint](https://documentation.mailgun.com/docs/inspect/api-reference/openapi-final/tag/Email-Preview/#tag/Email-Preview/operation/DELETE-v2-preview-tests--test-id-)._
Authentication
Connected account requiredTags
Delete a send alertMAILGUN_DELETE_V1_THRESHOLDS_ALERTS_SEND_NAMEDelete a send alertConnection
Delete a send alert
Authentication
Connected account requiredTags
Delete a limit threshold for an accountMAILGUN_DELETE_V1_THRESHOLDS_LIMITS_NAMEDelete a limit threshold for an accountConnection
Delete a limit threshold for an account
Authentication
Connected account requiredTags
Delete account-level webhooksMAILGUN_DELETE_V1_WEBHOOKSDelete account-level webhooks for the authenticated account. You can either delete all webhooks by setting all=true, or specify specific webhook IDs to delete via webhook_ids. If both are provided, the specific webhook_ids will be deleted. Note: Webhook changes can take up to 10 minutes to become effective due to caching.Connection
Delete account-level webhooks for the authenticated account. You can either delete all webhooks by setting all=true, or specify specific webhook IDs to delete via webhook_ids. If both are provided, the specific webhook_ids will be deleted. Note: Webhook changes can take up to 10 minutes to become effective due to caching.
Authentication
Connected account requiredTags
Delete account-level webhook by IDMAILGUN_DELETE_V1_WEBHOOKS_WEBHOOK_IDDelete a specific account-level webhook by its webhook ID. This removes the webhook from all associated event types. Note: Webhook changes can take up to 10 minutes to become effective due to caching.Connection
Delete a specific account-level webhook by its webhook ID. This removes the webhook from all associated event types. Note: Webhook changes can take up to 10 minutes to become effective due to caching.
Authentication
Connected account requiredTags
Delete Mailgun account IP allowlist entryMAILGUN_DELETE_V2_IP_WHITELISTDelete Mailgun account IP allowlist entryConnection
Delete Mailgun account IP allowlist entry
Authentication
Connected account requiredTags
Delete Emailpreview Test V2MAILGUN_DELETE_V2_PREVIEW_TESTS_TEST_IDDeletes the specified test and its content checking. Once it is deleted, it cannot be recovered.Connection
Deletes the specified test and its content checking. Once it is deleted, it cannot be recovered.
Authentication
Connected account requiredTags
Clear all bouncesMAILGUN_DELETE_V3_DOMAIN_ID_BOUNCESClears all email addresses with bounces from the domain. Delivery to the deleted email addresses will longer be suppressed.Connection
Clears all email addresses with bounces from the domain. Delivery to the deleted email addresses will longer be suppressed.
Authentication
Connected account requiredTags
Remove bounceMAILGUN_DELETE_V3_DOMAIN_ID_BOUNCES_ADDRESSDelivery to the deleted email address resumes until it bounces again.Connection
Delivery to the deleted email address resumes until it bounces again.
Authentication
Connected account requiredTags
Clear all complaintsMAILGUN_DELETE_V3_DOMAIN_ID_COMPLAINTSClears all email addresses with complaints from the domain. Delivery to the deleted email addresses will longer be suppressed.Connection
Clears all email addresses with complaints from the domain. Delivery to the deleted email addresses will longer be suppressed.
Authentication
Connected account requiredTags
Remove complaintMAILGUN_DELETE_V3_DOMAIN_ID_COMPLAINTS_ADDRESSDelivery to the deleted email address resumes until there is another complaint.Connection
Delivery to the deleted email address resumes until there is another complaint.
Authentication
Connected account requiredTags
Clear all unsubscribesMAILGUN_DELETE_V3_DOMAIN_ID_UNSUBSCRIBESClear all unsubscribe email addresses for the domain. Delivery to the deleted email addresses will no longer be suppressed.Connection
Clear all unsubscribe email addresses for the domain. Delivery to the deleted email addresses will no longer be suppressed.
Authentication
Connected account requiredTags
Remove unsubscribeMAILGUN_DELETE_V3_DOMAIN_ID_UNSUBSCRIBES_ADDRESSDelivery to the deleted email address resumes until it unsubscribes again.Connection
Delivery to the deleted email address resumes until it unsubscribes again.
Authentication
Connected account requiredTags
Clear allowlistMAILGUN_DELETE_V3_DOMAIN_ID_WHITELISTSDelete an entire allowlist for a domainConnection
Delete an entire allowlist for a domain
Authentication
Connected account requiredTags
Remove entry from allowlistMAILGUN_DELETE_V3_DOMAIN_ID_WHITELISTS_VALUERemove a single entry from the allowlistConnection
Remove a single entry from the allowlist
Authentication
Connected account requiredTags
Delete scheduled and undelivered mailMAILGUN_DELETE_V3_DOMAIN_NAME_ENVELOPESDeletes all scheduled and undelivered mail from the domain queue. This endpoint must be called on the same storage API host as the mail's generated storage URL. e.g. https://storage-us-east4.api.mailgun.net/v3/example.com/envelopes The storage hosts are: `storage-us-east4.api.mailgun.net`, `storage-us-west1.api.mailgun.net`, and `storage-europe-west1.api.mailgun.net`.Connection
Deletes all scheduled and undelivered mail from the domain queue. This endpoint must be called on the same storage API host as the mail's generated storage URL. e.g. https://storage-us-east4.api.mailgun.net/v3/example.com/envelopes The storage hosts are: `storage-us-east4.api.mailgun.net`, `storage-us-west1.api.mailgun.net`, and `storage-europe-west1.api.mailgun.net`.
Authentication
Connected account requiredTags
Delete all templatesMAILGUN_DELETE_V3_DOMAIN_NAME_TEMPLATESDelete all templates and their versions for the domain.Connection
Delete all templates and their versions for the domain.
Authentication
Connected account requiredTags
Delete a templateMAILGUN_DELETE_V3_DOMAIN_NAME_TEMPLATES_TEMPLATE_NAMEDelete the template specified in the url. NOTE: This method deletes all versions of the specified template.Connection
Delete the template specified in the url. NOTE: This method deletes all versions of the specified template.
Authentication
Connected account requiredTags
Delete a versionMAILGUN_DELETE_V3_DOMAIN_NAME_TEMPLATES_TEMPLATE_NAME_VERSIONS_VERSION_NAMEDelete a specific template version.Connection
Delete a specific template version.
Authentication
Connected account requiredTags
Delete tagMAILGUN_DELETE_V3_DOMAIN_TAGDelete a tag associated with a domainConnection
Delete a tag associated with a domain
Authentication
Connected account requiredTags
Delete all Mailgun SMTP credentials for a domainMAILGUN_DELETE_V3_DOMAINS_DOMAIN_NAME_CREDENTIALSDelete Mailgun SMTP credentials for a given domainConnection
Delete Mailgun SMTP credentials for a given domain
Authentication
Connected account requiredTags
Delete Mailgun SMTP credentialsMAILGUN_DELETE_V3_DOMAINS_DOMAIN_NAME_CREDENTIALS_SPECDelete Mailgun SMTP credentials for a given domain and SMTP userConnection
Delete Mailgun SMTP credentials for a given domain and SMTP user
Authentication
Connected account requiredTags
Delete domain webhooks by typeMAILGUN_DELETE_V3_DOMAINS_DOMAIN_NAME_WEBHOOKS_WEBHOOK_NAMERemove all url(s) for a specified webhook type.Connection
Remove all url(s) for a specified webhook type.
Authentication
Connected account requiredTags
Delete a domainMAILGUN_DELETE_V3_DOMAINS_NAMEThe domain must not be disabled or used as an authority for an other domain. Sandbox domain can't be deleted.Connection
The domain must not be disabled or used as an authority for an other domain. Sandbox domain can't be deleted.
Authentication
Connected account requiredTags
Remove domain from dynamic IP poolsMAILGUN_DELETE_V3_DOMAINS_NAME_DYNAMIC_POOLSThe behavior of this endpoint depends on the value of the `replacement_ip` and `replacement_pool_id` parameters. One of these parameters (but not both) must be provided. If `replacement_ip` is provided, the IP(s) will be assigned to the domain. `replacement_ip` can include one of the following: * valid IP(s): this IP address or addresses will be added to the domain * string `shared`: if the account is eligible for shared IPs, a suitable shared IP will be chosen and added to the domain The 'replacement_ip' parameter cannot include any IPs that are already assigned to a Dedicated IP Pool or a Dynamic IP Pool. If `replacement_pool_id` is provided, the Dedicated IP Pool will be assigned to the domain.Connection
The behavior of this endpoint depends on the value of the `replacement_ip` and `replacement_pool_id` parameters. One of these parameters (but not both) must be provided. If `replacement_ip` is provided, the IP(s) will be assigned to the domain. `replacement_ip` can include one of the following: * valid IP(s): this IP address or addresses will be added to the domain * string `shared`: if the account is eligible for shared IPs, a suitable shared IP will be chosen and added to the domain The 'replacement_ip' parameter cannot include any IPs that are already assigned to a Dedicated IP Pool or a Dynamic IP Pool. If `replacement_pool_id` is provided, the Dedicated IP Pool will be assigned to the domain.
Authentication
Connected account requiredTags
Remove an IP from the domain pool, unlink a DIPP or remove the domain poolMAILGUN_DELETE_V3_DOMAINS_NAME_IPS_IPThe behavior of the endpoint depends on the value of the `ip` parameter. It can be one of the following: * a valid IP address: this IP address will be removed from the domain pool. * string `all`: the entire domain pool will be removed. As far as the system is concerned, such domain will no longer exist. * string `ip_pool`: the DIPP which is currently linked to the domain will be unlinked. ### Removing An IP Note that it's impossible to alter domain IPs if a DIPP is linked to the domain. If the account is not eligible for shared IPs, additional rules apply: * removing the last IP from the domain is not allowed; * if all of the remaining dedicated IPs are on warmup, an extra IP might be added to the domain pool. ### Unlinking The DIPP The account must have 'DIPPs' feature enabled. Either `ip` or `pool_id` query parameter must be specified, but not both. If the special value `shared` is used for the replacement IP, the account must be eligible for shared IPs. In this case the system will assign a shared IP as the replacement.Connection
The behavior of the endpoint depends on the value of the `ip` parameter. It can be one of the following: * a valid IP address: this IP address will be removed from the domain pool. * string `all`: the entire domain pool will be removed. As far as the system is concerned, such domain will no longer exist. * string `ip_pool`: the DIPP which is currently linked to the domain will be unlinked. ### Removing An IP Note that it's impossible to alter domain IPs if a DIPP is linked to the domain. If the account is not eligible for shared IPs, additional rules apply: * removing the last IP from the domain is not allowed; * if all of the remaining dedicated IPs are on warmup, an extra IP might be added to the domain pool. ### Unlinking The DIPP The account must have 'DIPPs' feature enabled. Either `ip` or `pool_id` query parameter must be specified, but not both. If the special value `shared` is used for the replacement IP, the account must be eligible for shared IPs. In this case the system will assign a shared IP as the replacement.
Authentication
Connected account requiredTags
Remove an IP from the domain pool, unlink a DIPP or remove the domain poolMAILGUN_DELETE_V3_DOMAINS_NAME_POOL_IPThe behavior of the endpoint depends on the value of the `ip` parameter. It can be one of the following: * a valid IP address: this IP address will be removed from the domain pool. * string `all`: the entire domain pool will be removed. As far as the system is concerned, such domain will no longer exist. * string `ip_pool`: the DIPP which is currently linked to the domain will be unlinked. ### Removing An IP Note that it's impossible to alter domain IPs if a DIPP is linked to the domain. If the account is not eligible for shared IPs, additional rules apply: * removing the last IP from the domain is not allowed; * if all of the remaining dedicated IPs are on warmup, an extra IP might be added to the domain pool. ### Unlinking The DIPP The account must have 'DIPPs' feature enabled. Either `ip` or `pool_id` query parameter must be specified, but not both. If the special value `shared` is used for the replacement IP, the account must be eligible for shared IPs. In this case the system will assign a shared IP as the replacement.Connection
The behavior of the endpoint depends on the value of the `ip` parameter. It can be one of the following: * a valid IP address: this IP address will be removed from the domain pool. * string `all`: the entire domain pool will be removed. As far as the system is concerned, such domain will no longer exist. * string `ip_pool`: the DIPP which is currently linked to the domain will be unlinked. ### Removing An IP Note that it's impossible to alter domain IPs if a DIPP is linked to the domain. If the account is not eligible for shared IPs, additional rules apply: * removing the last IP from the domain is not allowed; * if all of the remaining dedicated IPs are on warmup, an extra IP might be added to the domain pool. ### Unlinking The DIPP The account must have 'DIPPs' feature enabled. Either `ip` or `pool_id` query parameter must be specified, but not both. If the special value `shared` is used for the replacement IP, the account must be eligible for shared IPs. In this case the system will assign a shared IP as the replacement.
Authentication
Connected account requiredTags
Remove all dynamic IP poolsMAILGUN_DELETE_V3_DYNAMIC_POOLS_ALLRemoves all dynamic IP pools from the account. All domains on the account (and subaccounts, if any) must be removed from dynamic IP pools before the pools can be removed. Any standard dedicated IP pools will not be modified.Connection
Removes all dynamic IP pools from the account. All domains on the account (and subaccounts, if any) must be removed from dynamic IP pools before the pools can be removed. Any standard dedicated IP pools will not be modified.
Authentication
Connected account requiredTags
Delete a single forward rule by IDMAILGUN_DELETE_V3_FORWARDS_IDBy default this call is scoped to the entire account. You can scope the request by providing the 'domain.name' query parameter. If the 'domain.name' parameter is provided and the requested rule is not defined for that domain the call will return 404 Not FoundConnection
By default this call is scoped to the entire account. You can scope the request by providing the 'domain.name' query parameter. If the 'domain.name' parameter is provided and the requested rule is not defined for that domain the call will return 404 Not Found
Authentication
Connected account requiredTags
Delete the DIPPMAILGUN_DELETE_V3_IP_POOLS_POOL_IDThe `DIPPs` feature must be enabled for the account. It is not allowed to delete a DIPP inherited from the parent account. If the DIPP is delegated to subaccounts, those will also be updated. If the replacement DIPP is specified, all domains linked to the deleted DIPP will be relinked to the replacement DIPP. The latter must contain at least one IP. If the replacement IP is specified, all domains linked to the deleted DIPP will be unlinked, and the replacement IP will be assigned to them. It is not allowed to delete a DIPP inherited from the parent account and replace it with an IP (subaccounts do not explicitly manage their IPs). The replacement IP must be a dedicated one; it can't belong to another DIPP. If a special value `shared` is used, appropriate shared IPs will be used (the account must be eligible for shared IPs in this case). Omitting both replacement DIPP and replacement IP is allowed only if the DIPP being deleted contains no IPs. The processing of affected domains and subaccounts happens asynchronously after the endpoint returns a response.Connection
The `DIPPs` feature must be enabled for the account. It is not allowed to delete a DIPP inherited from the parent account. If the DIPP is delegated to subaccounts, those will also be updated. If the replacement DIPP is specified, all domains linked to the deleted DIPP will be relinked to the replacement DIPP. The latter must contain at least one IP. If the replacement IP is specified, all domains linked to the deleted DIPP will be unlinked, and the replacement IP will be assigned to them. It is not allowed to delete a DIPP inherited from the parent account and replace it with an IP (subaccounts do not explicitly manage their IPs). The replacement IP must be a dedicated one; it can't belong to another DIPP. If a special value `shared` is used, appropriate shared IPs will be used (the account must be eligible for shared IPs in this case). Omitting both replacement DIPP and replacement IP is allowed only if the DIPP being deleted contains no IPs. The processing of affected domains and subaccounts happens asynchronously after the endpoint returns a response.
Authentication
Connected account requiredTags
Revoke DIPP from SubaccountMAILGUN_DELETE_V3_IP_POOLS_POOL_ID_DELEGATERevokes delegation of a dedicated IP pool (DIPP) from a specified subaccount. The DIPP will no longer be available to the subaccount. Unlike legacy endpoints, this supports accounts with multiple delegated DIPPs. Request parameters are encoded as form data.Connection
Revokes delegation of a dedicated IP pool (DIPP) from a specified subaccount. The DIPP will no longer be available to the subaccount. Unlike legacy endpoints, this supports accounts with multiple delegated DIPPs. Request parameters are encoded as form data.
Authentication
Connected account requiredTags
Remove an IP from a DIPPMAILGUN_DELETE_V3_IP_POOLS_POOL_ID_IPS_IPThe account must have 'DIPPs' feature enabled. It's not allowed to edit a DIPP inherited from the parent account. If the DIPP is linked to domains, the domains will be updated asynchronously (after this endpoint returns response).Connection
The account must have 'DIPPs' feature enabled. It's not allowed to edit a DIPP inherited from the parent account. If the DIPP is linked to domains, the domains will be updated asynchronously (after this endpoint returns response).
Authentication
Connected account requiredTags
Cancels the warmup plan for an IP addressMAILGUN_DELETE_V3_IP_WARMUPS_ADDRCancels the warmup plan for an IP address. The IP must be dedicated and owned by the account.Connection
Cancels the warmup plan for an IP address. The IP must be dedicated and owned by the account.
Authentication
Connected account requiredTags
Remove an IP from all account domainsMAILGUN_DELETE_V3_IPS_IP_DOMAINSThe IP must belong to the account. If the `alternative` parameter is present, it is used to replace the removed ip on all domains.Connection
The IP must belong to the account. If the `alternative` parameter is present, it is used to replace the removed ip on all domains.
Authentication
Connected account requiredTags
Delete a mailing listMAILGUN_DELETE_V3_LISTS_ADDRESSDeletes a mailing listConnection
Deletes a mailing list
Authentication
Connected account requiredTags
Delete a routeMAILGUN_DELETE_V3_ROUTES_IDRemove the rotue from the account.Connection
Remove the rotue from the account.
Authentication
Connected account requiredTags
Delete List Health Preview JobMAILGUN_DELETE_V4_ADDRESS_VALIDATE_PREVIEW_LIST_IDDeletes a single list health previewk job by ID.Connection
Deletes a single list health previewk job by ID.
Authentication
Connected account requiredTags
Delete domain webhooks (v4)MAILGUN_DELETE_V4_DOMAINS_DOMAIN_WEBHOOKSDelete webhook URLs from all event types they are associated with. Supports deleting multiple URLs at once by repeating the `url` query parameter.Connection
Delete webhook URLs from all event types they are associated with. Supports deleting multiple URLs at once by repeating the `url` query parameter.
Authentication
Connected account requiredTags
Delete ResultMAILGUN_DELETE_V4_INBOX_RESULTS_RESULTDelete the result and all associated information.Connection
Delete the result and all associated information.
Authentication
Connected account requiredTags
Delete ResultMAILGUN_DELETE_V4_INBOX_RESULTS_RESULT_IDDelete the result and all associated information.Connection
Delete the result and all associated information.
Authentication
Connected account requiredTags
Delete a Seed ListMAILGUN_DELETE_V4_INBOX_SEEDLISTS_ADDRESSDelete a Seed ListConnection
Delete a Seed List
Authentication
Connected account requiredTags
Delete all account-level templatesMAILGUN_DELETE_V4_TEMPLATESDelete all account-level templates and their versions.Connection
Delete all account-level templates and their versions.
Authentication
Connected account requiredTags
Delete an account-level templateMAILGUN_DELETE_V4_TEMPLATES_TEMPLATE_NAMEDelete the account-level template specified in the url NOTE: This method deletes all versions of the specified template.Connection
Delete the account-level template specified in the url NOTE: This method deletes all versions of the specified template.
Authentication
Connected account requiredTags
Delete an account-level template versionMAILGUN_DELETE_V4_TEMPLATES_TEMPLATE_NAME_VERSIONS_VERSION_NAMEDelete a specific version of an account-level template.Connection
Delete a specific version of an account-level template.
Authentication
Connected account requiredTags
Delete a custom sending limitMAILGUN_DELETE_V5_ACCOUNTS_LIMIT_CUSTOM_MONTHLYDelete a custom sending limitConnection
Delete a custom sending limit
Authentication
Connected account requiredTags
Delete a subaccountMAILGUN_DELETE_V5_ACCOUNTS_SUBACCOUNTS_SUBACCOUNT_IDDelete a subaccountConnection
Delete a subaccount
Authentication
Connected account requiredTags
Revoke a DIPP delegated to a subaccountMAILGUN_DELETE_V5_ACCOUNTS_SUBACCOUNTS_SUBACCOUNT_ID_IP_POOL#### Description Initiates the process to revoke a DIPP delegated to a subaccount. All domains linked to the DIPP will be unlinked. This endpoint cannot be used with subaccounts that have multiple inherited DIPPs.Connection
#### Description Initiates the process to revoke a DIPP delegated to a subaccount. All domains linked to the DIPP will be unlinked. This endpoint cannot be used with subaccounts that have multiple inherited DIPPs.
Authentication
Connected account requiredTags
Delete a custom sending limitMAILGUN_DELETE_V5_ACCOUNTS_SUBACCOUNTS_SUBACCOUNT_ID_LIMIT_CUSTOM_MONTHLYDelete a custom sending limitConnection
Delete a custom sending limit
Authentication
Connected account requiredTags
Remove an authorized sandbox domain email recipientMAILGUN_DELETE_V5_SANDBOX_AUTH_RECIPIENTS_EMAILRemove an authorized sandbox domain email recipientConnection
Remove an authorized sandbox domain email recipient
Authentication
Connected account requiredTags
Get a memberMAILGUN_GET_LISTS_LIST_ADDRESS_MEMBERS_MEMBER_ADDRESSGet details about a specific mailing list memberConnection
Get details about a specific mailing list member
Authentication
Connected account requiredTags
Get members by pageMAILGUN_GET_LISTS_LIST_ADDRESS_MEMBERS_PAGESPaginate over list members in a given mailing list in ascending orderConnection
Paginate over list members in a given mailing list in ascending order
Authentication
Connected account requiredTags
Get mailing lists membersMAILGUN_GET_LISTS_STRING_LIST_ADDRESS_MEMBERSLists members in a given mailing listConnection
Lists members in a given mailing list
Authentication
Connected account requiredTags
List eventsMAILGUN_GET_V1_ALERTS_EVENTSThe current list of events that you can chose to receive alerts for.Connection
The current list of events that you can chose to receive alerts for.
Authentication
Connected account requiredTags
List AlertsMAILGUN_GET_V1_ALERTS_SETTINGSThis endpoint returns a list of all configured alert settings for your account.Connection
This endpoint returns a list of all configured alert settings for your account.
Authentication
Connected account requiredTags
List Slack channelsMAILGUN_GET_V1_ALERTS_SLACK_CHANNELSList Slack channels for the connected Slack workspace.Connection
List Slack channels for the connected Slack workspace.
Authentication
Connected account requiredTags
Get Slack channelMAILGUN_GET_V1_ALERTS_SLACK_CHANNELS_IDReturns Slack channel.Connection
Returns Slack channel.
Authentication
Connected account requiredTags
Get account tag limit informationMAILGUN_GET_V1_ANALYTICS_TAGS_LIMITSGets the tag limit and current number of unique tags for an accountConnection
Gets the tag limit and current number of unique tags for an account
Authentication
Connected account requiredTags
List entitiesMAILGUN_GET_V1_BOUNCE_CLASSIFICATION_CONFIG_ENTITIESDeprecated: use POST /v2/bounce-classification/metricsConnection
Deprecated: use POST /v2/bounce-classification/metrics
Authentication
Connected account requiredTags
List rulesMAILGUN_GET_V1_BOUNCE_CLASSIFICATION_CONFIG_RULESDeprecated: use GET /v2/bounce-classification/config/groups/{group-id}Connection
Deprecated: use GET /v2/bounce-classification/config/groups/{group-id}
Authentication
Connected account requiredTags
List domains statistic per accountMAILGUN_GET_V1_BOUNCE_CLASSIFICATION_DOMAINSDeprecated: use POST /v2/bounce-classification/metricsConnection
Deprecated: use POST /v2/bounce-classification/metrics
Authentication
Connected account requiredTags
List statistic per domainMAILGUN_GET_V1_BOUNCE_CLASSIFICATION_DOMAINS_DOMAIN_ENTITIESDeprecated: use POST /v2/bounce-classification/metricsConnection
Deprecated: use POST /v2/bounce-classification/metrics
Authentication
Connected account requiredTags
List statistic per entityMAILGUN_GET_V1_BOUNCE_CLASSIFICATION_DOMAINS_DOMAIN_ENTITIES_ENTITY_ID_RULESDeprecated: use POST /v2/bounce-classification/metricsConnection
Deprecated: use POST /v2/bounce-classification/metrics
Authentication
Connected account requiredTags
List Bounce LogsMAILGUN_GET_V1_BOUNCE_CLASSIFICATION_DOMAINS_DOMAIN_EVENTSDeprecated: use POST /v1/analytics/logs - https://documentation.mailgun.com/docs/mailgun/api-reference/send/mailgun/logsConnection
Deprecated: use POST /v1/analytics/logs - https://documentation.mailgun.com/docs/mailgun/api-reference/send/mailgun/logs
Authentication
Connected account requiredTags
List statistics, ordered by total bouncesMAILGUN_GET_V1_BOUNCE_CLASSIFICATION_STATSDeprecated: use POST /v2/bounce-classification/metrics insteadConnection
Deprecated: use POST /v2/bounce-classification/metrics instead
Authentication
Connected account requiredTags
List keys for all domainsMAILGUN_GET_V1_DKIM_KEYSList domain keys, and optionally filter by signing domain or selector. Results are paginated - use the 'limit' parameter to control page size (default 10, max 100). Use the 'page' parameter from the paging response URLs to navigate through pages.Connection
List domain keys, and optionally filter by signing domain or selector. Results are paginated - use the 'limit' parameter to control page size (default 10, max 100). Use the 'page' parameter from the paging response URLs to navigate through pages.
Authentication
Connected account requiredTags
Retrieves the list of domains that have DMARC monitoring.MAILGUN_GET_V1_DMARC_DOMAINSRetrieves the list of domains that have DMARC monitoring.Connection
Retrieves the list of domains that have DMARC monitoring.
Authentication
Connected account requiredTags
Retrieve DMARC reporting data for a domain.MAILGUN_GET_V1_DMARC_DOMAINS_DOMAINRetrieve DMARC reporting data for a domain.Connection
Retrieve DMARC reporting data for a domain.
Authentication
Connected account requiredTags
Retrieve DMARC reporting data from a specific source.MAILGUN_GET_V1_DMARC_DOMAINS_DOMAIN_S_SOURCERetrieve DMARC reporting data from a specific source.Connection
Retrieve DMARC reporting data from a specific source.
Authentication
Connected account requiredTags
Retrieve DMARC reporting data for a hostname.MAILGUN_GET_V1_DMARC_DOMAINS_DOMAIN_S_SOURCE_H_HOSTRetrieve DMARC reporting data for a hostname.Connection
Retrieve DMARC reporting data for a hostname.
Authentication
Connected account requiredTags
Retrieve DMARC reporting data for an IP Address.MAILGUN_GET_V1_DMARC_DOMAINS_DOMAIN_S_SOURCE_H_HOST_IP_IPRetrieve DMARC reporting data for an IP Address.Connection
Retrieve DMARC reporting data for an IP Address.
Authentication
Connected account requiredTags
Retrieves the DMARC DNS records to be used for configurationMAILGUN_GET_V1_DMARC_RECORDS_DOMAINRetrieves the DMARC DNS records to be used for configurationConnection
Retrieves the DMARC DNS records to be used for configuration
Authentication
Connected account requiredTags
Checks if DMARC has been setup for userMAILGUN_GET_V1_DMARC_SETUPChecks if DMARC has been setup for userConnection
Checks if DMARC has been setup for user
Authentication
Connected account requiredTags
List all domains assigned to dynamic IP poolsMAILGUN_GET_V1_DYNAMIC_POOLS_DOMAINSRetrieves all domains enrolled in dynamic IP pools across the parent account and subaccounts.Connection
Retrieves all domains enrolled in dynamic IP pools across the parent account and subaccounts.
Authentication
Connected account requiredTags
List domain historyMAILGUN_GET_V1_DYNAMIC_POOLS_DOMAINS_NAME_HISTORYRetrieves a domain's history recordsConnection
Retrieves a domain's history records
Authentication
Connected account requiredTags
Preview domain assignmentMAILGUN_GET_V1_DYNAMIC_POOLS_DOMAINS_NAME_PREVIEWRuns a health check on a domain and returns which pool it would be placed in. It does NOT enroll the domain or set the bandConnection
Runs a health check on a domain and returns which pool it would be placed in. It does NOT enroll the domain or set the band
Authentication
Connected account requiredTags
List account historyMAILGUN_GET_V1_DYNAMIC_POOLS_HISTORYRetrieve history records for all domains assigned to Dynamic IP Pools across the parent and subaccounts.Connection
Retrieve history records for all domains assigned to Dynamic IP Pools across the parent and subaccounts.
Authentication
Connected account requiredTags
Returns Domains on Mailgun Optimize servicesMAILGUN_GET_V1_INBOXREADY_DOMAINSWill return details on an Mailgun Optimize Domain. If no Domain is provided, then a list of all Mailgun Optimize Domains on an account will be returned.Connection
Will return details on an Mailgun Optimize Domain. If no Domain is provided, then a list of all Mailgun Optimize Domains on an account will be returned.
Authentication
Connected account requiredTags
Lists monitored IP addressesMAILGUN_GET_V1_INBOXREADY_IP_ADDRESSESLists monitored IP addressesConnection
Lists monitored IP addresses
Authentication
Connected account requiredTags
Get the IP addressMAILGUN_GET_V1_INBOXREADY_IP_ADDRESSES_IPGet the IP addressConnection
Get the IP address
Authentication
Connected account requiredTags
Get Accessibility TestsMAILGUN_GET_V1_INSPECT_ACCESSIBILITYRetrieve a paginated list of all accessibility tests that have been submitted. Each test includes details such as its status, the number of checks performed, and, of those checks, how many passes and failures there were. The response is paginated, with a limit of up to 1000 items per page. The total count of records will display in the meta object under the key, 'count'.Connection
Retrieve a paginated list of all accessibility tests that have been submitted. Each test includes details such as its status, the number of checks performed, and, of those checks, how many passes and failures there were. The response is paginated, with a limit of up to 1000 items per page. The total count of records will display in the meta object under the key, 'count'.
Authentication
Connected account requiredTags
Get Accessibility TestMAILGUN_GET_V1_INSPECT_ACCESSIBILITY_IDRetrieve the details of a specific accessibility test using the provided test ID. This endpoint returns comprehensive details about the test, including metadata and test results.Connection
Retrieve the details of a specific accessibility test using the provided test ID. This endpoint returns comprehensive details about the test, including metadata and test results.
Authentication
Connected account requiredTags
List Code Analysis JobsMAILGUN_GET_V1_INSPECT_ANALYZEReturns a paginated list of all code analysis jobs under the account, showing only the latest version of each test. Uses skip/limit pagination and supports filtering by status.Connection
Returns a paginated list of all code analysis jobs under the account, showing only the latest version of each test. Uses skip/limit pagination and supports filtering by status.
Authentication
Connected account requiredTags
Get Code Analysis DictionaryMAILGUN_GET_V1_INSPECT_ANALYZE_DICTIONARYReturns the lookup dictionary containing variants, clients, platforms, application types, support levels, and categories used in code analysis.Connection
Returns the lookup dictionary containing variants, clients, platforms, application types, support levels, and categories used in code analysis.
Authentication
Connected account requiredTags
Get Code Analysis ResultsMAILGUN_GET_V1_INSPECT_ANALYZE_TEST_IDReturns the latest version of code analysis test results for a given test ID.Connection
Returns the latest version of code analysis test results for a given test ID.
Authentication
Connected account requiredTags
Get All Code Analysis VersionsMAILGUN_GET_V1_INSPECT_ANALYZE_TEST_ID_VERSIONSReturns all versions available for a given test ID.Connection
Returns all versions available for a given test ID.
Authentication
Connected account requiredTags
Get Code Analysis Results by VersionMAILGUN_GET_V1_INSPECT_ANALYZE_TEST_ID_VERSIONS_VERSION_IDReturns code analysis test results for a specific test ID and version.Connection
Returns code analysis test results for a specific test ID and version.
Authentication
Connected account requiredTags
Get Image Validation TestsMAILGUN_GET_V1_INSPECT_IMAGESRetrieve a paginated list of all image validation tests that have been submitted. The response is paginated, with a limit of up to 1000 items per page. The total count of records will display in the meta object under the key, 'count'.Connection
Retrieve a paginated list of all image validation tests that have been submitted. The response is paginated, with a limit of up to 1000 items per page. The total count of records will display in the meta object under the key, 'count'.
Authentication
Connected account requiredTags
Get Image Validation ResultsMAILGUN_GET_V1_INSPECT_IMAGES_IDReturns the results of an image validation test.Connection
Returns the results of an image validation test.
Authentication
Connected account requiredTags
List Link ValidationsMAILGUN_GET_V1_INSPECT_LINKSRetrieve a list of previous link validation tests based on various filters.Connection
Retrieve a list of previous link validation tests based on various filters.
Authentication
Connected account requiredTags
Get Link Validation ResultsMAILGUN_GET_V1_INSPECT_LINKS_IDReturns the results of a link validation test.Connection
Returns the results of a link validation test.
Authentication
Connected account requiredTags
List Spam Tests (V1)MAILGUN_GET_V1_INSPECT_SPAMReturns a paginated list of all spam tests for the account, ordered by created_at desc. Supports filtering by status and region.Connection
Returns a paginated list of all spam tests for the account, ordered by created_at desc. Supports filtering by status and region.
Authentication
Connected account requiredTags
List Supported ESP ProvidersMAILGUN_GET_V1_INSPECT_SPAM_PROVIDERSReturns the static list of ESPs supported by spam testing, grouped by category (B2C / B2B).Connection
Returns the static list of ESPs supported by spam testing, grouped by category (B2C / B2B).
Authentication
Connected account requiredTags
Get Spam Test (V1)MAILGUN_GET_V1_INSPECT_SPAM_SPAM_TEST_IDReturns the current state of a spam test. A Retry-After: 10 header is set when the test is still processing.Connection
Returns the current state of a spam test. A Retry-After: 10 header is set when the test is still processing.
Authentication
Connected account requiredTags
List Mailgun API keysMAILGUN_GET_V1_KEYSList Mailgun API keysConnection
List Mailgun API keys
Authentication
Connected account requiredTags
List Email Health score and rates grouped by domains/ips/subaccounts/timestampsMAILGUN_GET_V1_MAVERICK_SCORE_GROUPEDList Email Health score and rates grouped by domains/ips/subaccounts/timestampsConnection
List Email Health score and rates grouped by domains/ips/subaccounts/timestamps
Authentication
Connected account requiredTags
Get Email Health score and rates for account and subaccountsMAILGUN_GET_V1_MAVERICK_SCORE_TOTALGet Email Health score and rates for account and subaccountsConnection
Get Email Health score and rates for account and subaccounts
Authentication
Connected account requiredTags
Get Monitored DomainsMAILGUN_GET_V1_MONITORING_DOMAINSGets all domains that are being monitored for blocklistingConnection
Gets all domains that are being monitored for blocklisting
Authentication
Connected account requiredTags
Get Lists Domain is Listed inMAILGUN_GET_V1_MONITORING_DOMAINS_DOMAIN_BLOCKLISTSGet blocklists that the domain is listed inConnection
Get blocklists that the domain is listed in
Authentication
Connected account requiredTags
Get Events for DomainMAILGUN_GET_V1_MONITORING_DOMAINS_DOMAIN_EVENTSGet events for a specific domainConnection
Get events for a specific domain
Authentication
Connected account requiredTags
Get All EventsMAILGUN_GET_V1_MONITORING_DOMAINS_EVENTSGet all events for all domains monitoredConnection
Get all events for all domains monitored
Authentication
Connected account requiredTags
Returns PreviewShare record by UUID.MAILGUN_GET_V1_PREVIEW_SHARING_PUBLIC_IDReturns PreviewShare record by UUID.Connection
Returns PreviewShare record by UUID.
Authentication
Connected account requiredTags
Get PreviewShareMAILGUN_GET_V1_PREVIEW_SHARING_TEST_IDReturns PreviewShare record by TID.Connection
Returns PreviewShare record by TID.
Authentication
Connected account requiredTags
List Emailpreview TestsMAILGUN_GET_V1_PREVIEW_TESTSReturns a list of email preview tests.<br><br>**WARNING:** _This endpoint is deprecated in favor of our [V2 endpoint](https://documentation.mailgun.com/docs/inspect/api-reference/openapi-final/tag/Email-Preview/#tag/Email-Preview/operation/GET-v2-preview-tests)._Connection
Returns a list of email preview tests.<br><br>**WARNING:** _This endpoint is deprecated in favor of our [V2 endpoint](https://documentation.mailgun.com/docs/inspect/api-reference/openapi-final/tag/Email-Preview/#tag/Email-Preview/operation/GET-v2-preview-tests)._
Authentication
Connected account requiredTags
List ClientsMAILGUN_GET_V1_PREVIEW_TESTS_CLIENTSReturns a list of clients that can perform an email preview.Connection
Returns a list of clients that can perform an email preview.
Authentication
Connected account requiredTags
Get Emailpreview Test InfoMAILGUN_GET_V1_PREVIEW_TESTS_TEST_IDReturns test info.<br><br>**WARNING:** _This endpoint is deprecated in favor of our [V2 endpoint](https://documentation.mailgun.com/docs/inspect/api-reference/openapi-final/tag/Email-Preview/#tag/Email-Preview/operation/GET-v2-preview-tests--test-id-)._Connection
Returns test info.<br><br>**WARNING:** _This endpoint is deprecated in favor of our [V2 endpoint](https://documentation.mailgun.com/docs/inspect/api-reference/openapi-final/tag/Email-Preview/#tag/Email-Preview/operation/GET-v2-preview-tests--test-id-)._
Authentication
Connected account requiredTags
Get Test Content (empty)MAILGUN_GET_V1_PREVIEW_TESTS_TEST_ID_CONTENTGets HTML content of the passed test.Connection
Gets HTML content of the passed test.
Authentication
Connected account requiredTags
Get Test ContentMAILGUN_GET_V1_PREVIEW_TESTS_TEST_ID_CONTENT_CONTENTGets HTML content of the passed test.Connection
Gets HTML content of the passed test.
Authentication
Connected account requiredTags
Get Test ResultsMAILGUN_GET_V1_PREVIEW_TESTS_TEST_ID_RESULTSReturns the results for the specified email preview test.Connection
Returns the results for the specified email preview test.
Authentication
Connected account requiredTags
Get GPT AddressesMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_ADDRESSESReturns a list of all address records for an account. Each address record is for a single address on a single day.Connection
Returns a list of all address records for an account. Each address record is for a single address on a single day.
Authentication
Connected account requiredTags
Get GPT AddressMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_ADDRESSES_ADDRESSReturns address records for an single address on the account. Each address record is for a single address on a single day.Connection
Returns address records for an single address on the account. Each address record is for a single address on a single day.
Authentication
Connected account requiredTags
Get all GPT AddressesMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_ADDRESSES_LISTReturns a list of all addresses for an accountConnection
Returns a list of all addresses for an account
Authentication
Connected account requiredTags
Get GPT DomainsMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_DOMAINSReturns a list of all domain records for an account. Each domain record is for a single domain on a single day.Connection
Returns a list of all domain records for an account. Each domain record is for a single domain on a single day.
Authentication
Connected account requiredTags
Get GPT DomainMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_DOMAINS_DOMAINReturns domain records for a single domain on the account. Each domain record is for a single domain on a single day.Connection
Returns domain records for a single domain on the account. Each domain record is for a single domain on a single day.
Authentication
Connected account requiredTags
Get GPT Domain AddressesMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_DOMAINS_DOMAIN_ADDRESSESReturns a list of all address records for an account belonging to a specific domain. Each address record is for a single address on a single day.Connection
Returns a list of all address records for an account belonging to a specific domain. Each address record is for a single address on a single day.
Authentication
Connected account requiredTags
Get GPT DomainsMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_DOMAINS_LISTReturns a list of all domains for an accountConnection
Returns a list of all domains for an account
Authentication
Connected account requiredTags
Get GPT FBLMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_DOMAINSFBLReturns the FBL for the account or domainConnection
Returns the FBL for the account or domain
Authentication
Connected account requiredTags
Get GPT FBLMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_DOMAINSFBL_DOMAINReturns the FBL for the account or domainConnection
Returns the FBL for the account or domain
Authentication
Connected account requiredTags
Get GPT SummaryMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_SUMMARYReturns a list of all summary records for an account. Each record is for a single domain's summary and error summary data.Connection
Returns a list of all summary records for an account. Each record is for a single domain's summary and error summary data.
Authentication
Connected account requiredTags
Get GPT Addresses SummaryMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_SUMMARY_ADDRESSESReturns a list of all address summary records for an account. Each record is for a single address's summary data.Connection
Returns a list of all address summary records for an account. Each record is for a single address's summary data.
Authentication
Connected account requiredTags
Get GPT Domains SummaryMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_SUMMARY_DOMAINSReturns a list of all domain summary records for an account. Each record is for a single domain's summary data.Connection
Returns a list of all domain summary records for an account. Each record is for a single domain's summary data.
Authentication
Connected account requiredTags
Get GPT Domains Error SummaryMAILGUN_GET_V1_REPUTATIONANALYTICS_GPT_SUMMARY_ERRORSReturns a list of all domain error summary records for an account. Each record is for a single domain's error summary data.Connection
Returns a list of all domain error summary records for an account. Each record is for a single domain's error summary data.
Authentication
Connected account requiredTags
Get SNDS Address InfoMAILGUN_GET_V1_REPUTATIONANALYTICS_SNDSReturns a list of all address summary records for an account. Each record is for a single address's summary data.Connection
Returns a list of all address summary records for an account. Each record is for a single address's summary data.
Authentication
Connected account requiredTags
Get SNDS Address InfoMAILGUN_GET_V1_REPUTATIONANALYTICS_SNDS_IPReturns a list of all address summary records for an account and a single addressConnection
Returns a list of all address summary records for an account and a single address
Authentication
Connected account requiredTags
Get Spam Trap HitsMAILGUN_GET_V1_SPAMTRAPSUse this endpoint to understand how much of your mail being sent to known spam traps. This endpoint returns daily spam trap hit counts for a provided timerange, categorized by trap type. Deprecated: Use /v2/spamtraps endpoint.Connection
Use this endpoint to understand how much of your mail being sent to known spam traps. This endpoint returns daily spam trap hit counts for a provided timerange, categorized by trap type. Deprecated: Use /v2/spamtraps endpoint.
Authentication
Connected account requiredTags
Get Spam Trap FiltersMAILGUN_GET_V1_SPAMTRAPS_FILTERSGet a list of domain, ip, subject, From that hit spamtraps, like spamtraps totals but no counts. Deprecated: Use /v2/spamtraps endpoint.Connection
Get a list of domain, ip, subject, From that hit spamtraps, like spamtraps totals but no counts. Deprecated: Use /v2/spamtraps endpoint.
Authentication
Connected account requiredTags
Get Spam Trap Hits TotalMAILGUN_GET_V1_SPAMTRAPS_TOTALSDeprecated: Use /v2/spamtraps endpoint without dimension parameter.Connection
Deprecated: Use /v2/spamtraps endpoint without dimension parameter.
Authentication
Connected account requiredTags
List send alertsMAILGUN_GET_V1_THRESHOLDS_ALERTS_SENDList send alertsConnection
List send alerts
Authentication
Connected account requiredTags
Get a send alertMAILGUN_GET_V1_THRESHOLDS_ALERTS_SEND_NAMEGet a send alertConnection
Get a send alert
Authentication
Connected account requiredTags
List account hitsMAILGUN_GET_V1_THRESHOLDS_HITSList account hitsConnection
List account hits
Authentication
Connected account requiredTags
List limit thresholds for an accountMAILGUN_GET_V1_THRESHOLDS_LIMITSList limit thresholds for an accountConnection
List limit thresholds for an account
Authentication
Connected account requiredTags
Get a limit threshold for an accountMAILGUN_GET_V1_THRESHOLDS_LIMITS_NAMEGet a limit threshold for an accountConnection
Get a limit threshold for an account
Authentication
Connected account requiredTags
List account-level webhooksMAILGUN_GET_V1_WEBHOOKSRetrieve all account-level webhooks or filter by specific webhook IDs. Returns webhook details including associated event types.Connection
Retrieve all account-level webhooks or filter by specific webhook IDs. Returns webhook details including associated event types.
Authentication
Connected account requiredTags
Get account-level webhook by IDMAILGUN_GET_V1_WEBHOOKS_WEBHOOK_IDRetrieve a specific account-level webhook by its webhook ID. Returns webhook details including associated event types.Connection
Retrieve a specific account-level webhook by its webhook ID. Returns webhook details including associated event types.
Authentication
Connected account requiredTags
List Mailgun account IP allowlist entriesMAILGUN_GET_V2_IP_WHITELISTList Mailgun account IP allowlist entriesConnection
List Mailgun account IP allowlist entries
Authentication
Connected account requiredTags
List/Search Tests V2MAILGUN_GET_V2_PREVIEW_TESTSThis call returns a list of Email Tests along with metadata about each test. Email Tests are stored for 90 days. When query parameters are provided, only the tests matching the specified criteria will be returned; otherwise, all available tests are returned. The response structure remains identical in both cases.Connection
This call returns a list of Email Tests along with metadata about each test. Email Tests are stored for 90 days. When query parameters are provided, only the tests matching the specified criteria will be returned; otherwise, all available tests are returned. The response structure remains identical in both cases.
Authentication
Connected account requiredTags
Get Emailpreview Test Information V2MAILGUN_GET_V2_PREVIEW_TESTS_TEST_IDRetrieves detailed information about a specific test, including the subject, submission time (in UNIX timestamp format), processing statuses, and any content checking results. The response includes one to three properties containing arrays of clients: completed (clients that have successfully uploaded screenshots), processing (clients that are still being processed by our system), and bounced (clients that were bounced by the destination and cannot be retried). Additionally, the system will automatically requeue screenshots if they remain in processing for more than three minutes.Connection
Retrieves detailed information about a specific test, including the subject, submission time (in UNIX timestamp format), processing statuses, and any content checking results. The response includes one to three properties containing arrays of clients: completed (clients that have successfully uploaded screenshots), processing (clients that are still being processed by our system), and bounced (clients that were bounced by the destination and cannot be retried). Additionally, the system will automatically requeue screenshots if they remain in processing for more than three minutes.
Authentication
Connected account requiredTags
Retrieve Export Job Details for Email Preview Test ScreenshotsMAILGUN_GET_V2_PREVIEW_TESTS_TEST_ID_EXPORTSRetrieves the status and details of an export job created to collect screenshots for an Email Preview Test. Provide the test ID to fetch the latest export job information.Connection
Retrieves the status and details of an export job created to collect screenshots for an Email Preview Test. Provide the test ID to fetch the latest export job information.
Authentication
Connected account requiredTags
Retrieve Export Job Details for Email Preview Test ScreenshotsMAILGUN_GET_V2_PREVIEW_TESTS_TEST_ID_EXPORTS_JOB_IDRetrieves the status and details of an export job created to collect screenshots for an Email Preview Test. Provide both the test ID and the job ID to fetch the export job information.Connection
Retrieves the status and details of an export job created to collect screenshots for an Email Preview Test. Provide both the test ID and the job ID to fetch the export job information.
Authentication
Connected account requiredTags
Get Test Results by client ID V2MAILGUN_GET_V2_PREVIEW_TESTS_TEST_ID_RESULTS_CLIENT_IDThis call returns detailed results for screenshots including their upload locations, send times, completion times, and information about bounces, if any. <test_id> is a test ID returned from test creation or the get test list functions. The <client_id> is required and restricts the returned data exclusively to the specified client. If the client is not present in the test or is invalid, an error will be returned.Connection
This call returns detailed results for screenshots including their upload locations, send times, completion times, and information about bounces, if any. <test_id> is a test ID returned from test creation or the get test list functions. The <client_id> is required and restricts the returned data exclusively to the specified client. If the client is not present in the test or is invalid, an error will be returned.
Authentication
Connected account requiredTags
List Spam Trap HitsMAILGUN_GET_V2_SPAMTRAPSUse this endpoint to understand how much of your mail being sent to known spam traps. This endpoint returns daily spam trap hit counts for a provided timerange, categorized by trap type.Connection
Use this endpoint to understand how much of your mail being sent to known spam traps. This endpoint returns daily spam trap hit counts for a provided timerange, categorized by trap type.
Authentication
Connected account requiredTags
Tracking Certificate: Get certificate and statusMAILGUN_GET_V2_X509_DOMAIN_STATUSGet x509 TLS certificate and statusConnection
Get x509 TLS certificate and status
Authentication
Connected account requiredTags
Parse AddressesMAILGUN_GET_V3_ADDRESS_PARSEParses a list of comma separated addresses and optionally perform light weight validation of addresses.Connection
Parses a list of comma separated addresses and optionally perform light weight validation of addresses.
Authentication
Connected account requiredTags
Get ThresholdMAILGUN_GET_V3_ADDRESS_PLATFORM_THRESHOLDThe validation threshold for this account.Connection
The validation threshold for this account.
Authentication
Connected account requiredTags
Parse AddressesMAILGUN_GET_V3_ADDRESS_PRIVATE_PARSEParses a list of comma separated addresses and optionally perform light weight validation of addresses.Connection
Parses a list of comma separated addresses and optionally perform light weight validation of addresses.
Authentication
Connected account requiredTags
Validate Address V3MAILGUN_GET_V3_ADDRESS_PRIVATE_VALIDATEA single email address to validate.Connection
A single email address to validate.
Authentication
Connected account requiredTags
Get ThresholdMAILGUN_GET_V3_ADDRESS_PUBLIC_THRESHOLDThe validation threshold for this account.Connection
The validation threshold for this account.
Authentication
Connected account requiredTags
Validate Address V3MAILGUN_GET_V3_ADDRESS_VALIDATEA single email address to validate.Connection
A single email address to validate.
Authentication
Connected account requiredTags
Aggregate counts by countryMAILGUN_GET_V3_DOMAIN_AGGREGATES_COUNTRIESGets aggregate counts by country (USA, RUS, etc…)Connection
Gets aggregate counts by country (USA, RUS, etc…)
Authentication
Connected account requiredTags
Aggregate counts by devices triggering eventsMAILGUN_GET_V3_DOMAIN_AGGREGATES_DEVICESGets aggregate counts on devices that triggered events ('tablet', 'phone', 'pc', etc…)Connection
Gets aggregate counts on devices that triggered events ('tablet', 'phone', 'pc', etc…)
Authentication
Connected account requiredTags
Aggregate counts by ESPMAILGUN_GET_V3_DOMAIN_AGGREGATES_PROVIDERSGets aggregate counts by email service providerConnection
Gets aggregate counts by email service provider
Authentication
Connected account requiredTags
List all bouncesMAILGUN_GET_V3_DOMAIN_ID_BOUNCESPaginate over a list of bounces for a domain.Connection
Paginate over a list of bounces for a domain.
Authentication
Connected account requiredTags
Lookup bounce recordMAILGUN_GET_V3_DOMAIN_ID_BOUNCES_ADDRESSFetch a single bounce event by a given email address.Connection
Fetch a single bounce event by a given email address.
Authentication
Connected account requiredTags
List all complaintsMAILGUN_GET_V3_DOMAIN_ID_COMPLAINTSPaginate a list of complaints for the domain.Connection
Paginate a list of complaints for the domain.
Authentication
Connected account requiredTags
Lookup complaint recordMAILGUN_GET_V3_DOMAIN_ID_COMPLAINTS_ADDRESSFetch a single complaint records to check if a given address is present in the list of complaints.Connection
Fetch a single complaint records to check if a given address is present in the list of complaints.
Authentication
Connected account requiredTags
List all unsubscribesMAILGUN_GET_V3_DOMAIN_ID_UNSUBSCRIBESPaginate over a list of unsubscribes for domain.Connection
Paginate over a list of unsubscribes for domain.
Authentication
Connected account requiredTags
Lookup unsubscribe recordMAILGUN_GET_V3_DOMAIN_ID_UNSUBSCRIBES_ADDRESSFetch a single unsubscribe record to check if a given address is present in a list of unsubscribed users.Connection
Fetch a single unsubscribe record to check if a given address is present in a list of unsubscribed users.
Authentication
Connected account requiredTags
List allowlist records for domainMAILGUN_GET_V3_DOMAIN_ID_WHITELISTSPaginate over all allowlist records for a domain.Connection
Paginate over all allowlist records for a domain.
Authentication
Connected account requiredTags
Lookup allowlist recordMAILGUN_GET_V3_DOMAIN_ID_WHITELISTS_VALUEFetch a single allowlist record to check if a given address or domain is present.Connection
Fetch a single allowlist record to check if a given address or domain is present.
Authentication
Connected account requiredTags
Retrieves a paginated list of eventsMAILGUN_GET_V3_DOMAIN_NAME_EVENTSMailgun tracks every inbound and outbound message event and retains this data for at least 3 days. See [Filter expression](https://documentation.mailgun.com/docs/mailgun/user-manual/events/#filter-expression) for details about filtering expressionsConnection
Mailgun tracks every inbound and outbound message event and retains this data for at least 3 days. See [Filter expression](https://documentation.mailgun.com/docs/mailgun/user-manual/events/#filter-expression) for details about filtering expressions
Authentication
Connected account requiredTags
Get templatesMAILGUN_GET_V3_DOMAIN_NAME_TEMPLATESReturns a list of templates for the domain.Connection
Returns a list of templates for the domain.
Authentication
Connected account requiredTags
Get templateMAILGUN_GET_V3_DOMAIN_NAME_TEMPLATES_TEMPLATE_NAMEReturns metadata information about the stored template specified in the url. If the active flag is provided, the content of the active version of the template is returned. If the version_name flag is provided, version information will be included as well. By default: the `version` field is not provided. To see available versions other than the active version, use the `/versions` API insteadConnection
Returns metadata information about the stored template specified in the url. If the active flag is provided, the content of the active version of the template is returned. If the version_name flag is provided, version information will be included as well. By default: the `version` field is not provided. To see available versions other than the active version, use the `/versions` API instead
Authentication
Connected account requiredTags
Get all template versionsMAILGUN_GET_V3_DOMAIN_NAME_TEMPLATES_TEMPLATE_NAME_VERSIONSReturns a paginated list of template versions.Connection
Returns a paginated list of template versions.
Authentication
Connected account requiredTags
Get a versionMAILGUN_GET_V3_DOMAIN_NAME_TEMPLATES_TEMPLATE_NAME_VERSIONS_VERSION_NAMERetrieve the information and content of the specified version of a template.Connection
Retrieve the information and content of the specified version of a template.
Authentication
Connected account requiredTags
Totals for entire domainMAILGUN_GET_V3_DOMAIN_STATS_TOTALGets stat totals for an entire domainConnection
Gets stat totals for an entire domain
Authentication
Connected account requiredTags
Get a tagMAILGUN_GET_V3_DOMAIN_TAGGet a tag associated with a domainConnection
Get a tag associated with a domain
Authentication
Connected account requiredTags
Get stats by tagMAILGUN_GET_V3_DOMAIN_TAG_STATSRetrieve stats by tagConnection
Retrieve stats by tag
Authentication
Connected account requiredTags
Get aggregate stat types by tagMAILGUN_GET_V3_DOMAIN_TAG_STATS_AGGREGATESReturns a list for a given domain for different event typesConnection
Returns a list for a given domain for different event types
Authentication
Connected account requiredTags
List all tagsMAILGUN_GET_V3_DOMAIN_TAGSList all tags associated with a domainConnection
List all tags associated with a domain
Authentication
Connected account requiredTags
Get tag limitsMAILGUN_GET_V3_DOMAINS_DOMAIN_LIMITS_TAGGet tag limits by domainConnection
Get tag limits by domain
Authentication
Connected account requiredTags
List Mailgun SMTP credential metadata for a given domainMAILGUN_GET_V3_DOMAINS_DOMAIN_NAME_CREDENTIALSList Mailgun SMTP credential metadata for a given domainConnection
List Mailgun SMTP credential metadata for a given domain
Authentication
Connected account requiredTags
Retrieve a stored emailMAILGUN_GET_V3_DOMAINS_DOMAIN_NAME_MESSAGES_STORAGE_KEYEvent(s) created from sending an email with Mailgun will contain a `storage.key` to use to retrieve the email.Connection
Event(s) created from sending an email with Mailgun will contain a `storage.key` to use to retrieve the email.
Authentication
Connected account requiredTags
Get domain webhooks by typeMAILGUN_GET_V3_DOMAINS_DOMAIN_NAME_WEBHOOKS_WEBHOOK_NAMEGet the list of url(s) for a webhook identified by its webhook_name.Connection
Get the list of url(s) for a webhook identified by its webhook_name.
Authentication
Connected account requiredTags
List of supported country codesMAILGUN_GET_V3_DOMAINS_DOMAIN_TAG_COUNTRIESGets a list of country codes scout curently supportsConnection
Gets a list of country codes scout curently supports
Authentication
Connected account requiredTags
List of supported devicesMAILGUN_GET_V3_DOMAINS_DOMAIN_TAG_DEVICESGets a list of devices scout currently supportsConnection
Gets a list of devices scout currently supports
Authentication
Connected account requiredTags
List of supported providersMAILGUN_GET_V3_DOMAINS_DOMAIN_TAG_PROVIDERSGets a list of providers scout currently supportsConnection
Gets a list of providers scout currently supports
Authentication
Connected account requiredTags
Get domain webhooksMAILGUN_GET_V3_DOMAINS_DOMAIN_WEBHOOKSReturns all webhooks for the domain.Connection
Returns all webhooks for the domain.
Authentication
Connected account requiredTags
List assignable domainsMAILGUN_GET_V3_DOMAINS_DYNAMIC_POOLS_ASSIGNABLELists all domains that are not already enrolled in dynamic IP pools.Connection
Lists all domains that are not already enrolled in dynamic IP pools.
Authentication
Connected account requiredTags
Get messages queue statusMAILGUN_GET_V3_DOMAINS_NAME_SENDING_QUEUESProvides default and scheduled message queue information.Connection
Provides default and scheduled message queue information.
Authentication
Connected account requiredTags
Get tracking settingsMAILGUN_GET_V3_DOMAINS_NAME_TRACKINGUse to check if open, click and unsubscribe tracking are active/inactive.Connection
Use to check if open, click and unsubscribe tracking are active/inactive.
Authentication
Connected account requiredTags
List all Dynamic IP poolsMAILGUN_GET_V3_DYNAMIC_POOLSReturns the list of IPs belonging to each of the account's Dynamic IP Pools.Connection
Returns the list of IPs belonging to each of the account's Dynamic IP Pools.
Authentication
Connected account requiredTags
List forward rulesMAILGUN_GET_V3_FORWARDSBy default this endpoint lists all rules defined on the account. You can scope the list of rules by domain by providing the 'domain.name' query parameter.Connection
By default this endpoint lists all rules defined on the account. You can scope the list of rules by domain by providing the 'domain.name' query parameter.
Authentication
Connected account requiredTags
Get a single forward rule by IDMAILGUN_GET_V3_FORWARDS_IDRetrieve a forward rule by IDConnection
Retrieve a forward rule by ID
Authentication
Connected account requiredTags
List dedicated IP pools of the accountMAILGUN_GET_V3_IP_POOLS#### Description Lists all dedicated IP pools of the account. For each pool returns its basic properties (name, description, the list of IPs) and indicates whether the pool is linked to any domains and whether it's an inherited one.Connection
#### Description Lists all dedicated IP pools of the account. For each pool returns its basic properties (name, description, the list of IPs) and indicates whether the pool is linked to any domains and whether it's an inherited one.
Authentication
Connected account requiredTags
Get DIPP detailsMAILGUN_GET_V3_IP_POOLS_POOL_ID`is_linked` in the response indicates whether the DIPP is currently linked to any domains. If it's `true`, `linked_domain` lists those domains.Connection
`is_linked` in the response indicates whether the DIPP is currently linked to any domains. If it's `true`, `linked_domain` lists those domains.
Authentication
Connected account requiredTags
Get domains linked to DIPPMAILGUN_GET_V3_IP_POOLS_POOL_ID_DOMAINSReturns a paginated list of domains that are linked to the specified dedicated IP pool.Connection
Returns a paginated list of domains that are linked to the specified dedicated IP pool.
Authentication
Connected account requiredTags
Retrieves the list of in-flight IP address warmup statuses.MAILGUN_GET_V3_IP_WARMUPSRetrieves a list of in-flight IP warmup statuses for dedicated IP addresses owned by the account. The response includes pagination URLs for navigating through the results.Connection
Retrieves a list of in-flight IP warmup statuses for dedicated IP addresses owned by the account. The response includes pagination URLs for navigating through the results.
Authentication
Connected account requiredTags
Retrieves the status of an in-flight IP warmupMAILGUN_GET_V3_IP_WARMUPS_ADDRRetrieves the status of an in-flight IP warmup, which must be a dedicated IP owned by the account.Connection
Retrieves the status of an in-flight IP warmup, which must be a dedicated IP owned by the account.
Authentication
Connected account requiredTags
List account IPsMAILGUN_GET_V3_IPS`assignable_to_pool` in response lists which IPs can be assigned to DIPPs; this field is present only if the account has 'DIPPs' feature enabled. `total_count` contains the number of items returned in `items` (this depends on the filters applied).Connection
`assignable_to_pool` in response lists which IPs can be assigned to DIPPs; this field is present only if the account has 'DIPPs' feature enabled. `total_count` contains the number of items returned in `items` (this depends on the filters applied).
Authentication
Connected account requiredTags
Get DIPP spillover settings for an accountMAILGUN_GET_V3_IPS_ACCOUNT_SETTINGSThis endpoint retrieves the DIPP spillover settings for a specific account.Connection
This endpoint retrieves the DIPP spillover settings for a specific account.
Authentication
Connected account requiredTags
List account IPs - detailed viewMAILGUN_GET_V3_IPS_DETAILS_ALLList IPs belonging to the account and subaccounts. For IPs linked to subaccounts, there will be an additional record returned per subaccount The detailed IP view feature must be enabled for the account.Connection
List IPs belonging to the account and subaccounts. For IPs linked to subaccounts, there will be an additional record returned per subaccount The detailed IP view feature must be enabled for the account.
Authentication
Connected account requiredTags
Get the dedicated IP pool used for spillover for a domainMAILGUN_GET_V3_IPS_DOMAIN_NAMEThis endpoint retrieves the DIPP spillover settings for a specific domain.Connection
This endpoint retrieves the DIPP spillover settings for a specific domain.
Authentication
Connected account requiredTags
Get details about account IPMAILGUN_GET_V3_IPS_IPGet details about account IPConnection
Get details about account IP
Authentication
Connected account requiredTags
Get all domains of an account where a specific IP is assignedMAILGUN_GET_V3_IPS_IP_DOMAINSThe IP must belong to the account. Matching domains are ordered by increasing id, then the `limit` and `skip` parameters are applied. If the `search` parameter is present, it is used to limit the results to domains whose names match the search query. The search query is split into words by whitespace and punctuation, then the logical OR is applied.Connection
The IP must belong to the account. Matching domains are ordered by increasing id, then the `limit` and `skip` parameters are applied. If the `search` parameter is present, it is used to limit the results to domains whose names match the search query. The search query is split into words by whitespace and punctuation, then the logical OR is applied.
Authentication
Connected account requiredTags
Return the number of IPs available to the account per its billing planMAILGUN_GET_V3_IPS_REQUEST_NEWThis endpoint remains active for backwards compatibility. Do not use it in new code. Field `shared` in the response is deprecated and should not be used.Connection
This endpoint remains active for backwards compatibility. Do not use it in new code. Field `shared` in the response is deprecated and should not be used.
Authentication
Connected account requiredTags
Get mailing listsMAILGUN_GET_V3_LISTSA mailing list is a group of members (recipients) which itself has an email address. This address becomes an ID for this mailing list.Connection
A mailing list is a group of members (recipients) which itself has an email address. This address becomes an ID for this mailing list.
Authentication
Connected account requiredTags
Get a mailing list by addressMAILGUN_GET_V3_LISTS_ADDRESSReturns the matching mailing list for the given addressConnection
Returns the matching mailing list for the given address
Authentication
Connected account requiredTags
Get mailing lists by pageMAILGUN_GET_V3_LISTS_PAGESPaginate over mailing listsConnection
Paginate over mailing lists
Authentication
Connected account requiredTags
Get all routesMAILGUN_GET_V3_ROUTESGet the list of routes. Note that routes are defined globally, per account, not per domain.Connection
Get the list of routes. Note that routes are defined globally, per account, not per domain.
Authentication
Connected account requiredTags
Get a routeMAILGUN_GET_V3_ROUTES_IDReturns a detailed view of the routeConnection
Returns a detailed view of the route
Authentication
Connected account requiredTags
Match address to routeMAILGUN_GET_V3_ROUTES_MATCHChecks if an address matches at least one route.Connection
Checks if an address matches at least one route.
Authentication
Connected account requiredTags
Filtered/grouped totals for entire accountMAILGUN_GET_V3_STATS_FILTERGets filtered and group stat totals for an entire accountConnection
Gets filtered and group stat totals for an entire account
Authentication
Connected account requiredTags
Totals for entire accountMAILGUN_GET_V3_STATS_TOTALGets stat totals for an entire accountConnection
Gets stat totals for an entire account
Authentication
Connected account requiredTags
Totals for account domains for a single time resolutionMAILGUN_GET_V3_STATS_TOTAL_DOMAINSGets stat totals for domains in an account for a single time resolutionConnection
Gets stat totals for domains in an account for a single time resolution
Authentication
Connected account requiredTags
Validate Address V4MAILGUN_GET_V4_ADDRESS_VALIDATEA single email address to validate.Connection
A single email address to validate.
Authentication
Connected account requiredTags
List List Health Preview JobsMAILGUN_GET_V4_ADDRESS_VALIDATE_PREVIEWAll list health preview jobs you have started.Connection
All list health preview jobs you have started.
Authentication
Connected account requiredTags
Get List Health Preview JobMAILGUN_GET_V4_ADDRESS_VALIDATE_PREVIEW_LIST_IDA single list health preview job by ID.Connection
A single list health preview job by ID.
Authentication
Connected account requiredTags
Get domainsMAILGUN_GET_V4_DOMAINSGet the list of domains. Can be filtered by state or authority. Sorting is optional. The list is paginated and limited to 1000 items per page.Connection
Get the list of domains. Can be filtered by state or authority. Sorting is optional. The list is paginated and limited to 1000 items per page.
Authentication
Connected account requiredTags
List domain keysMAILGUN_GET_V4_DOMAINS_AUTHORITY_NAME_KEYSList all domain keys for your domain, including active/inactive and valid/invalid ones.Connection
List all domain keys for your domain, including active/inactive and valid/invalid ones.
Authentication
Connected account requiredTags
Get domain detailsMAILGUN_GET_V4_DOMAINS_NAMEFetches json representation of a domain that includes details about the domain's state and settings.Connection
Fetches json representation of a domain that includes details about the domain's state and settings.
Authentication
Connected account requiredTags
List Email ProvidersMAILGUN_GET_V4_INBOX_PROVIDERSList all available email providers.Connection
List all available email providers.
Authentication
Connected account requiredTags
List ResultsMAILGUN_GET_V4_INBOX_RESULTSGet the details for all placement test results.Connection
Get the details for all placement test results.
Authentication
Connected account requiredTags
List Available Attributes for ResultsMAILGUN_GET_V4_INBOX_RESULTS_AThe attributes that can have values listed (for autocomplete).Connection
The attributes that can have values listed (for autocomplete).
Authentication
Connected account requiredTags
Get List of Values for a Result AttributeMAILGUN_GET_V4_INBOX_RESULTS_A_ATTRIBUTEFor the given attribute list the known values (for autocomplete).Connection
For the given attribute list the known values (for autocomplete).
Authentication
Connected account requiredTags
List available filters for ResultsMAILGUN_GET_V4_INBOX_RESULTS_FILTERSThe filters that can be used when querying for results.Connection
The filters that can be used when querying for results.
Authentication
Connected account requiredTags
Get Result DetailsMAILGUN_GET_V4_INBOX_RESULTS_RESULTGet the details for a single result.Connection
Get the details for a single result.
Authentication
Connected account requiredTags
Get Result DetailsMAILGUN_GET_V4_INBOX_RESULTS_RESULT_IDGet the details for a single result.Connection
Get the details for a single result.
Authentication
Connected account requiredTags
List Seed ListsMAILGUN_GET_V4_INBOX_SEEDLISTSList Seed ListsConnection
List Seed Lists
Authentication
Connected account requiredTags
List Available Attributes for Seed ListsMAILGUN_GET_V4_INBOX_SEEDLISTS_AList Available Attributes for Seed ListsConnection
List Available Attributes for Seed Lists
Authentication
Connected account requiredTags
Get List of Values for Seed List AttributeMAILGUN_GET_V4_INBOX_SEEDLISTS_A_ATTRIBUTEGet List of Values for Seed List AttributeConnection
Get List of Values for Seed List Attribute
Authentication
Connected account requiredTags
Get Seed ListMAILGUN_GET_V4_INBOX_SEEDLISTS_ADDRESSGet Seed ListConnection
Get Seed List
Authentication
Connected account requiredTags
Get List of Available Seed List FiltersMAILGUN_GET_V4_INBOX_SEEDLISTS_FILTERSGet List of Available Seed List FiltersConnection
Get List of Available Seed List Filters
Authentication
Connected account requiredTags
Get Result by a Share IDMAILGUN_GET_V4_INBOX_SHARING_PUBLIC_SHAREIDGet a result by the share ID.Connection
Get a result by the share ID.
Authentication
Connected account requiredTags
Get Result Sharing StatusMAILGUN_GET_V4_INBOX_SHARING_RESULTThe sharing status of a result.Connection
The sharing status of a result.
Authentication
Connected account requiredTags
Get Result Sharing StatusMAILGUN_GET_V4_INBOX_SHARING_RESULT_IDThe sharing status of a result.Connection
The sharing status of a result.
Authentication
Connected account requiredTags
Get account-level templatesMAILGUN_GET_V4_TEMPLATESReturns a list of account-level templates.Connection
Returns a list of account-level templates.
Authentication
Connected account requiredTags
Get an account-level templateMAILGUN_GET_V4_TEMPLATES_TEMPLATE_NAMEReturns metadata information about the stored account-level template. If the active flag is provided, the content of the active version of the template is returned.Connection
Returns metadata information about the stored account-level template. If the active flag is provided, the content of the active version of the template is returned.
Authentication
Connected account requiredTags
Get all account-level template versionsMAILGUN_GET_V4_TEMPLATES_TEMPLATE_NAME_VERSIONSReturns a paginated list of versions for an account-level template.Connection
Returns a paginated list of versions for an account-level template.
Authentication
Connected account requiredTags
Get an account-level template versionMAILGUN_GET_V4_TEMPLATES_TEMPLATE_NAME_VERSIONS_VERSION_NAMERetrieve the information and content of the specified version of an account-level template.Connection
Retrieve the information and content of the specified version of an account-level template.
Authentication
Connected account requiredTags
Get webhook signing key saved on the accountMAILGUN_GET_V5_ACCOUNTS_HTTP_SIGNING_KEYGet webhook signing key saved on the accountConnection
Get webhook signing key saved on the account
Authentication
Connected account requiredTags
Get current custom sending limitMAILGUN_GET_V5_ACCOUNTS_LIMIT_CUSTOM_MONTHLYFetch the details of custom sending limit on the accountConnection
Fetch the details of custom sending limit on the account
Authentication
Connected account requiredTags
List all subaccountsMAILGUN_GET_V5_ACCOUNTS_SUBACCOUNTSFetch all subaccountsConnection
Fetch all subaccounts
Authentication
Connected account requiredTags
List DIPPs delegated to subaccountsMAILGUN_GET_V5_ACCOUNTS_SUBACCOUNTS_IP_POOLS_ALL#### Description Lists all subaccounts of the parent account to which the parent account has delegated DIPPs.Connection
#### Description Lists all subaccounts of the parent account to which the parent account has delegated DIPPs.
Authentication
Connected account requiredTags
Get a single subaccountMAILGUN_GET_V5_ACCOUNTS_SUBACCOUNTS_SUBACCOUNT_IDFetch the details of a single subaccountConnection
Fetch the details of a single subaccount
Authentication
Connected account requiredTags
Get current custom sending limitMAILGUN_GET_V5_ACCOUNTS_SUBACCOUNTS_SUBACCOUNT_ID_LIMIT_CUSTOM_MONTHLYFetch the details of custom sending limit on the accountConnection
Fetch the details of custom sending limit on the account
Authentication
Connected account requiredTags
Get authorized email recipients for a sandbox domainMAILGUN_GET_V5_SANDBOX_AUTH_RECIPIENTSGet webhook signing key saved on the accountConnection
Get webhook signing key saved on the account
Authentication
Connected account requiredTags
Get users on an accountMAILGUN_GET_V5_USERSGet users on an accountConnection
Get users on an account
Authentication
Connected account requiredTags
Get one's own user detailsMAILGUN_GET_V5_USERS_MEGet one's own user details, requires use of an API key with a `user_id` saved on it, typically of 'web' kindConnection
Get one's own user details, requires use of an API key with a `user_id` saved on it, typically of 'web' kind
Authentication
Connected account requiredTags
Get a user's detailsMAILGUN_GET_V5_USERS_USER_IDGet details for a user on the accountConnection
Get details for a user on the account
Authentication
Connected account requiredTags
Update pool IPsMAILGUN_PATCH_V3_DYNAMIC_POOLS_POOL_NAMEAdds and/or removes IPs to/from the specified dynamic IP pool. A given pool is required to have at least 1 IP that is not actively warming. Additionally, a single IP cannot be assigned to multiple dynamic pools.Connection
Adds and/or removes IPs to/from the specified dynamic IP pool. A given pool is required to have at least 1 IP that is not actively warming. Additionally, a single IP cannot be assigned to multiple dynamic pools.
Authentication
Connected account requiredTags
Edit DIPPMAILGUN_PATCH_V3_IP_POOLS_POOL_IDThe account must have 'DIPPs' feature enabled. It's not allowed to edit a DIPP inherited from the parent account. IPs being added to the DIPP must be dedicated ones and belong to the account. If IPs of the DIPP end up modified, and the DIPP is linked to domains, the domains will be updated asynchronously (after this endpoint returns response). Returns an error if the passed parameters won't result in any changes.Connection
The account must have 'DIPPs' feature enabled. It's not allowed to edit a DIPP inherited from the parent account. IPs being added to the DIPP must be dedicated ones and belong to the account. If IPs of the DIPP end up modified, and the DIPP is linked to domains, the domains will be updated asynchronously (after this endpoint returns response). Returns an error if the passed parameters won't result in any changes.
Authentication
Connected account requiredTags
Set or Modify the dedicated IP pool used for IP spilloverMAILGUN_PATCH_V3_IPS_ACCOUNT_SETTINGSThis endpoint allows you to set or update the DIPP spillover settings for an account . You can specify the ID of the IP pool that spillover IPs are assigned to. The IP pool must contain at least one fully warmed IP address to be valid. To disable DIPP spillover, set the pool_id to an empty string ("").Connection
This endpoint allows you to set or update the DIPP spillover settings for an account . You can specify the ID of the IP pool that spillover IPs are assigned to. The IP pool must contain at least one fully warmed IP address to be valid. To disable DIPP spillover, set the pool_id to an empty string ("").
Authentication
Connected account requiredTags
Set or modify the dediciated IP pool used for spillover for a domainMAILGUN_PATCH_V3_IPS_DOMAIN_NAMEThis endpoint allows you to set or update the DIPP spillover settings for a specific domain. You can specify the ID of the IP pool that spillover IPs are assigned to. The IP pool must contain at least one fully warmed IP address to be valild. To disable DIPP spillover, set the pool_id to an empty string ("").Connection
This endpoint allows you to set or update the DIPP spillover settings for a specific domain. You can specify the ID of the IP pool that spillover IPs are assigned to. The IP pool must contain at least one fully warmed IP address to be valild. To disable DIPP spillover, set the pool_id to an empty string ("").
Authentication
Connected account requiredTags
Update subaccount IP assignmentsMAILGUN_PATCH_V3_IPS_SUBACCOUNTS#### Description Links and/or unlinks dedicated IPs to/from one or more subaccounts in a single operation. IPs linked to subaccounts can be linked to subaccount domains and placed in subaccount IP pools. The account must have the centralized IP assignment feature enabled. Either subaccount_id (one or more) or all_subaccounts=true must be specified, but not both. When all_subaccounts=true or over 100 subaccounts are specified, the operation is applied to every subaccount asynchronously and the response will contain 'queued' instead of 'success'. Rules for linking an IP: The IP must be a dedicated IP belonging to the parent account. The IP must not be assigned to a Dynamic IP Pool on the parent account. Rules for unlinking an IP: The IP must not be assigned to any IP pools on the subaccount. The IP must not be assigned to any domains on the subaccount. #### Request Schema Request parameters are encoded as form data. Name | Description | Required | Type --- | --- | --- | --- subaccount_id | Id of a subaccount to update (may be specified multiple times). Required unless all_subaccounts is true. | false | string all_subaccounts | When true, applies the operation to all subaccounts of the parent account asynchronously. Cannot be combined with subaccount_id. | false | string link_ip | Dedicated IP address to link to the subaccount (may be specified multiple times) | false | string unlink_ip | Dedicated IP address to unlink from the subaccount (may be specified multiple times) | false | stringConnection
#### Description Links and/or unlinks dedicated IPs to/from one or more subaccounts in a single operation. IPs linked to subaccounts can be linked to subaccount domains and placed in subaccount IP pools. The account must have the centralized IP assignment feature enabled. Either subaccount_id (one or more) or all_subaccounts=true must be specified, but not both. When all_subaccounts=true or over 100 subaccounts are specified, the operation is applied to every subaccount asynchronously and the response will contain 'queued' instead of 'success'. Rules for linking an IP: The IP must be a dedicated IP belonging to the parent account. The IP must not be assigned to a Dynamic IP Pool on the parent account. Rules for unlinking an IP: The IP must not be assigned to any IP pools on the subaccount. The IP must not be assigned to any domains on the subaccount. #### Request Schema Request parameters are encoded as form data. Name | Description | Required | Type --- | --- | --- | --- subaccount_id | Id of a subaccount to update (may be specified multiple times). Required unless all_subaccounts is true. | false | string all_subaccounts | When true, applies the operation to all subaccounts of the parent account asynchronously. Cannot be combined with subaccount_id. | false | string link_ip | Dedicated IP address to link to the subaccount (may be specified multiple times) | false | string unlink_ip | Dedicated IP address to unlink from the subaccount (may be specified multiple times) | false | string
Authentication
Connected account requiredTags
Bulk upload members to a mailing list (CSV)MAILGUN_POST_LISTS_LIST_ADDRESS_MEMBERS_CSVAdds multiple members, up to 1000 per call, to a mailing list via CSV file.Connection
Adds multiple members, up to 1000 per call, to a mailing list via CSV file.
Authentication
Connected account requiredTags
Bulk upload members to a mailing list (JSON)MAILGUN_POST_LISTS_LIST_ADDRESS_MEMBERS_JSONAdds multiple members, up to 1000 per call, to a mailing list, using JSON array format. If the request includes more than 100 entries, the mailing list will be updated asynchronously.Connection
Adds multiple members, up to 1000 per call, to a mailing list, using JSON array format. If the request includes more than 100 entries, the mailing list will be updated asynchronously.
Authentication
Connected account requiredTags
Create a mailing list memberMAILGUN_POST_LISTS_STRING_LIST_ADDRESS_MEMBERSAdds a new member to the mailing list. For adding many list members, consider bulk upload endpoints "POST /v3/lists/{list_address}/members.json" or "members.csv".Connection
Adds a new member to the mailing list. For adding many list members, consider bulk upload endpoints "POST /v3/lists/{list_address}/members.json" or "members.csv".
Authentication
Connected account requiredTags
Test messageMAILGUN_POST_V1_ALERTS_EMAIL_TESTSends test message to emails with dummy data.Connection
Sends test message to emails with dummy data.
Authentication
Connected account requiredTags
Add AlertMAILGUN_POST_V1_ALERTS_SETTINGS_EVENTSUse this endpoint to add new alert settings record. This service facilitates notifications (Webhook, Slack, or Email) for both Mailgun Optimize and Send Alert threshold breaches. ### Webhooks This section covers details around consuming alerts via webhooks. If you are familiar with Mailgun Send webhooks (which provide status updates on individual email deliveries), there is a lot of overlapping similarity, however, there are also a few minor nuances to account for. #### Securing Webhooks HMAC is used to verify the integrity as well as the authenticity of received webhooks. To verify the origin of a webhook: 1. Encode the webhook’s entire POST request body with the HMAC algorithm (using your webhook signing key and SHA256 digest mode) 2. Compare the resulting hexdigest to the signature provided in the POST request’s X-Sign header. NOTE: If you’re consuming Mailgun Send webhooks, please note that your Mailgun Send webhook signing key differs from your Alerts webhook signing key. Your Alerts webhook signing keys, used for both Optimize and Send Alert products, are available within the Mailgun Alerts UI. #### Webhook URL Validation When adding or updating a webhook URL for alerts, we will ensure the endpoint is reachable by sending a GET request to the provided URL. If a 200 response is not returned from your endpoint, the request will be rejected and your alert setting will not be saved. We intentionally chose to send a GET request instead of a POST when validating URLs so that your webhook endpoint does not have to account for test requests. Additionally, when a POST request is sent to your webhook URL, if a 2xx is not returned, we will attempt retries via an exponential backoff strategy for up to ~8 hours. If the max retry count is reached, the alert will be disabled and the related alert settings record’s disabled_at field will be populated.Connection
Use this endpoint to add new alert settings record. This service facilitates notifications (Webhook, Slack, or Email) for both Mailgun Optimize and Send Alert threshold breaches. ### Webhooks This section covers details around consuming alerts via webhooks. If you are familiar with Mailgun Send webhooks (which provide status updates on individual email deliveries), there is a lot of overlapping similarity, however, there are also a few minor nuances to account for. #### Securing Webhooks HMAC is used to verify the integrity as well as the authenticity of received webhooks. To verify the origin of a webhook: 1. Encode the webhook’s entire POST request body with the HMAC algorithm (using your webhook signing key and SHA256 digest mode) 2. Compare the resulting hexdigest to the signature provided in the POST request’s X-Sign header. NOTE: If you’re consuming Mailgun Send webhooks, please note that your Mailgun Send webhook signing key differs from your Alerts webhook signing key. Your Alerts webhook signing keys, used for both Optimize and Send Alert products, are available within the Mailgun Alerts UI. #### Webhook URL Validation When adding or updating a webhook URL for alerts, we will ensure the endpoint is reachable by sending a GET request to the provided URL. If a 200 response is not returned from your endpoint, the request will be rejected and your alert setting will not be saved. We intentionally chose to send a GET request instead of a POST when validating URLs so that your webhook endpoint does not have to account for test requests. Additionally, when a POST request is sent to your webhook URL, if a 2xx is not returned, we will attempt retries via an exponential backoff strategy for up to ~8 hours. If the max retry count is reached, the alert will be disabled and the related alert settings record’s disabled_at field will be populated.
Authentication
Connected account requiredTags
Test messageMAILGUN_POST_V1_ALERTS_SLACK_TESTSends test message to slack channels with dummy data.Connection
Sends test message to slack channels with dummy data.
Authentication
Connected account requiredTags
Test webhookMAILGUN_POST_V1_ALERTS_WEBHOOKS_TESTSends test webhook request to specified url with dummy data.Connection
Sends test webhook request to specified url with dummy data.
Authentication
Connected account requiredTags
List logsMAILGUN_POST_V1_ANALYTICS_LOGSGets customer event logs for an accountConnection
Gets customer event logs for an account
Authentication
Connected account requiredTags
Query account metricsMAILGUN_POST_V1_ANALYTICS_METRICSQueries filtered metrics for an accountConnection
Queries filtered metrics for an account
Authentication
Connected account requiredTags
Post query to list account tags or search for single tagMAILGUN_POST_V1_ANALYTICS_TAGSGets the list of all tags, or filtered by tag prefix, for an accountConnection
Gets the list of all tags, or filtered by tag prefix, for an account
Authentication
Connected account requiredTags
Query account usage metricsMAILGUN_POST_V1_ANALYTICS_USAGE_METRICSQueries filtered usage metrics for an accountConnection
Queries filtered usage metrics for an account
Authentication
Connected account requiredTags
[...]
